Page MenuHomePhabricator

[mips][microMIPS] Implement SDBBP and RDHWR instructions
ClosedPublic

Authored by jkolek on Sep 8 2014, 5:55 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

jkolek updated this revision to Diff 13390.Sep 8 2014, 5:55 AM
jkolek retitled this revision from to [mips][microMIPS] Implement SDBBP and RDHWR instructions.
jkolek updated this object.
jkolek edited the test plan for this revision. (Show Details)
jkolek added reviewers: dsanders, vmedic.
jkolek added a subscriber: zoran.jovanovic.
jkolek updated this revision to Diff 14403.Oct 3 2014, 1:30 PM
jkolek added a reviewer: sstankovic.
sstankovic added inline comments.Oct 17 2014, 9:13 AM
lib/Target/Mips/InstPrinter/MipsInstPrinter.cpp
91 ↗(On Diff #14403)

gcc uses ".set mips32r2" here, even when compiled with --mmicromips.

lib/Target/Mips/MipsInstrInfo.td
1355 ↗(On Diff #14403)

Is HasStdEnc needed here?

test/MC/Mips/micromips-control-instructions.s
79 ↗(On Diff #14403)

sdbbp has integer operand (which I suppose defaults to 0 if omitted), so you should also test the case when operand is specified.

jkolek updated this revision to Diff 15611.Oct 31 2014, 5:42 AM
jkolek updated this revision to Diff 15612.Oct 31 2014, 5:44 AM
sstankovic accepted this revision.Nov 12 2014, 6:24 AM
sstankovic edited edge metadata.
This revision is now accepted and ready to land.Nov 12 2014, 6:24 AM
jkolek edited edge metadata.Nov 18 2014, 5:40 AM
jkolek added a subscriber: Unknown Object (MLST).
jkolek closed this revision.Nov 19 2014, 3:26 AM
jkolek updated this revision to Diff 16371.

Closed by commit rL222347 (authored by @jkolek).